﻿@using X.PagedList.Mvc.Core;
@using TestJose.DataAccess;
@using X.PagedList.Web.Common;

@model X.PagedList.IPagedList<Site>

@{
    ViewData["Title"] = "Sites";
}

<h4>Sites</h4>

<p>
    <a asp-action="Create">New Site</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayName("Code")
            </th>
            <th>
                @Html.DisplayName("Description")
            </th>
            <th>
                @Html.DisplayName("Active")
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Code)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Description)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Active)
                </td>
                <td>
                    <a asp-action="Edit" asp-route-id="@item.ID">Edit</a> |
                    <a asp-action="Delete" asp-route-id="@item.ID">Delete</a>
                </td>
            </tr>
        }
    </tbody>
</table>

@Html.PagedListPager(Model, page => Url.Action("Index", new { page }),
        new PagedListRenderOptionsBase
        {
            PageClasses = new string[] { "page-link" },
            UlElementClasses = new string[] { "pagination" },
            LiElementClasses = new string[] { "page-item" },
            DisplayItemSliceAndTotal = true,
            DisplayEllipsesWhenNotShowingAllPageNumbers = true,
            Display = PagedListDisplayMode.IfNeeded,
            DisplayLinkToFirstPage = PagedListDisplayMode.IfNeeded,
            DisplayLinkToLastPage = PagedListDisplayMode.IfNeeded
        }
    )
